use super::*;

mod context; pub use context::*;
pub struct AppManager {
    channel:Sender<Query>,
}

impl AppManager {
    
}

impl Subsystem for AppManager {
    fn start(_supervisor:Option<Sender<Query>>) -> Result<Sender<Query>, Error>
    {
        Err(Error::new())
    }
}

impl From<Sender<Query>> for AppManager {
    fn from(channel:Sender<Query>) -> Self {
        Self { channel }
    }
}
